Bug 616505 - Runtime error display while re register user of type person
Summary: Runtime error display while re register user of type person
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-20 16:13 UTC by spandey
Modified: 2018-12-10 15:37 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-10 15:37:00 UTC


Attachments (Terms of Use)

Description spandey 2010-07-20 16:13:02 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisites:
Candlepin : on-premises 
Client : Rhel6 with sm version 68

Steps to repro : 

Login to client console with valid credentials 
execute following command on console 

subscription-manager-cli register --username admin --password admin --type person

subscription-manager-cli register --username admin --password admin --type system –force

subscription-manager-cli register --username admin --password admin --type person –force

Expected Result : 

Actual result : 
[root@sachrhel6 subscription-manager]# subscription-manager-cli register --username admin --password admin --type person --force

Runtime Error query did not return a unique result: 2 at org.hibernate.impl.AbstractQueryImpl.uniqueElement:844

Comment 1 wes hayutin 2010-07-23 19:41:13 UTC
[root@client01-rhel6-beta2 src]# ./subscription-manager-cli register --username=admin --pass=admin --type=person --force
8b9bd1b0-d91a-457c-8c01-08668ca60182 admin
[root@client01-rhel6-beta2 src]# ./subscription-manager-cli list --available
8b9bd1b0-d91a-457c-8c01-08668ca60182 <connection.UEPConnection instance at 0xa46a3cc>
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RHEL for Physical Servers
ProductId:         	MKT-rhel-server          
PoolId:            	1                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	Basic RHEL Server        
ProductId:         	MKT-simple-rhel-server-mkt
PoolId:            	2                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	RHEL Personal            
ProductId:         	RH09XYU34                
PoolId:            	3                        
Quantity:          	10                       
Expires:           	2011-07-22

Comment 2 wes hayutin 2010-07-23 19:41:30 UTC
[root@localhost proxy]# git show
commit 2e97beff969583d6c0d0eb8f490fab5c8c60b764
Merge: 08dd2d8 5336660

Comment 3 John Sefler 2011-05-04 14:40:32 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Comment 5 Bryan Kearney 2018-12-10 15:37:00 UTC
I am closing out some old bugs from 2015. So, closing these out as current release. If this is still an issue for me, please reach out.


Note You need to log in before you can comment on or make changes to this bug.